<script lang="ts">
import { MetaInfo } from 'vue-meta/types/vue-meta';
import Vue from 'vue';
import { CTA as CallToAction, Faq } from '~/components/common/index';
import { FreeTrialPlans } from '~/components/free-trial/index';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  name: 'FreeTrial',
  nuxtI18n: false,
  components: {
    FreeTrialPlans,
    Faq,
    CallToAction,
  },
  async asyncData({ $content }) {
    const doc = await $content('free-trial/index').fetch();
    return { doc };
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).doc, this.$route.path);
  },
});
</script>

<template>
  <SlpContainer>
    <component
      :is="component.name"
      v-for="component in doc.components"
      :key="component.name"
      :data="component.data"
    >
    </component>
  </SlpContainer>
</template>
